From ea6792dfdc0327e59c63f6d1a1c2fbe47348e94e Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Wed, 12 Nov 2008 00:08:24 -0500
Subject: [PATCH] glibc: Include arm ports

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 glibc.spec |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/glibc.spec b/glibc.spec
index b3dce4f..a3f3b35 100644
--- a/glibc.spec
+++ b/glibc.spec
@@ -1,4 +1,5 @@
 %define glibcdate 20081031T2102
+%define glibcportsdate	20081103
 %define glibcname glibc
 %define glibcsrcdir glibc-20081031T2102
 %define glibc_release_tarballs 0
@@ -18,6 +19,7 @@
 %define buildpower6 0
 %endif
 %define rtkaioarches %{ix86} x86_64 ia64 ppc ppc64 s390 s390x
+%define portsarches %{arm}
 %define debuginfocommonarches %{ix86} alpha alphaev6 sparc sparcv9 sparcv9v sparc64 sparc64v
 %define _unpackaged_files_terminate_build 0
 Summary: The GNU libc libraries
@@ -39,6 +41,7 @@ Source2: %(echo %{glibcsrcdir} | sed s/glibc-/glibc-libidn-/).tar.bz2
 %define glibc_release_unpack -a1 -a2
 %endif
 Source3: %{glibcname}-fedora-%{glibcdate}.tar.bz2
+Source4: %{glibcname}-ports-%{glibcportsdate}.tar.bz2
 Patch0: %{glibcname}-fedora.patch
 Patch1: %{name}-ia64-lib64.patch
 Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -215,7 +218,8 @@ package or when debugging this package.
 %endif
 
 %prep
-%setup -q -n %{glibcsrcdir} %{glibc_release_unpack} -a3
+%setup -q -n %{glibcsrcdir} %{glibc_release_unpack} -a3 -a4
+mv %{glibcname}-ports-%{glibcportsdate} ports
 %patch0 -E -p1
 %ifarch ia64
 %if "%{_lib}" == "lib64"
@@ -301,7 +305,9 @@ AddOns=`echo */configure | sed -e 's!/configure!!g;s!\(linuxthreads\|nptl\|rtkai
 %ifarch %{rtkaioarches}
 AddOns=,rtkaio$AddOns
 %endif
-
+%ifarch %{portsarches}
+AddOns=,ports$AddOns
+%endif
 build_nptl()
 {
 builddir=build-%{nptl_target_cpu}-$1
-- 
1.5.3.3

